hpp-python: pyhpp::manipulation::Device Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pyhpp::manipulation::Device Struct Reference

`#include <pyhpp/manipulation/device.hh>`

Inheritance diagram for pyhpp::manipulation::Device:
[legend]
Collaboration diagram for pyhpp::manipulation::Device:
[legend]

## Public Member Functions
| Device (const std::string &name)
void | setRobotRootPosition (const std::string &robotName, const Transform3s &positionWRTParentJoint)
std::map< std::string, HandlePtr_t > | handles ()
std::map< std::string, GripperPtr_t > | grippers ()
std::vector< modelsInfo > & | getModelsInfo ()
boost::python::list | getJointConfig (const char *jointName)
boost::python::list | getJointNames ()
void | setJointBounds (const char *jointName, boost::python::list jointBounds)
boost::python::list | contactSurfaceNames ()
boost::python::dict | contactSurfaces ()
void | addHandle (const std::string &linkName, const std::string &handleName, const Transform3s &pose, value_type clearance, const std::vector< bool > &mask)
void | addGripper (const std::string &linkName, const std::string &gripperName, const Transform3s &pose, value_type clearance)
Public Member Functions inherited from hpp::pinocchio::Device
virtual std::ostream & | print (std::ostream &os) const
coal::AABB | computeAABB () const
void | setModel (ModelPtr_t modelPtr)
void | setGeomModel (GeomModelPtr_t geomModelPtr)
void | setVisualModel (GeomModelPtr_t visualModelPtr)
void | setData (DataPtr_t dataPtr)
void | createData ()
void | setGeomData (GeomDataPtr_t geomDataPtr)
void | createGeomData ()
virtual void | removeJoints (const std::vector< std::string > &jointNames, Configuration_t referenceConfig)
JointPtr_t | rootJoint () const
Frame | rootFrame () const
size_type | nbJoints () const
JointPtr_t | jointAt (const size_type &i) const
JointPtr_t | getJointAtConfigRank (const size_type &r) const
JointPtr_t | getJointAtVelocityRank (const size_type &r) const
JointPtr_t | getJointByName (const std::string &name) const
JointPtr_t | getJointByBodyName (const std::string &name) const
Frame | getFrameByName (const std::string &name) const
size_type | configSize () const
size_type | numberDof () const
const LiegroupSpacePtr_t & | configSpace () const
const LiegroupSpacePtr_t & | RnxSOnConfigSpace () const
Configuration_t | neutralConfiguration () const
void | addJointConstraint (JointLinearConstraint constraint)
const std::vector< JointLinearConstraint > & | jointConstraints () const
ExtraConfigSpace & | extraConfigSpace ()
const ExtraConfigSpace & | extraConfigSpace () const
virtual void | setDimensionExtraConfigSpace (const size_type &dimension)
void | addGripper (const GripperPtr_t &gripper)
Grippers_t & | grippers ()
const Grippers_t & | grippers () const
BodyPtr_t | obstacles () const
size_type | nbObjects () const
CollisionObjectPtr_t | objectAt (const size_type &i) const
bool | collisionTest (const bool stopAtFirstCollision=true)
void | computeDistances ()
const DistanceResults_t & | distanceResults () const
void | numberDeviceData (const size_type &s)
size_type | numberDeviceData () const
virtual | ~Device ()
virtual DevicePtr_t | clone () const
DevicePtr_t | cloneConst () const
DevicePtr_t | self () const
const std::string & | name () const
void | setModel (ModelPtr_t modelPtr)
void | setGeomModel (GeomModelPtr_t geomModelPtr)
void | setVisualModel (GeomModelPtr_t visualModelPtr)
void | setData (DataPtr_t dataPtr)
void | createData ()
void | setGeomData (GeomDataPtr_t geomDataPtr)
void | createGeomData ()
virtual void | removeJoints (const std::vector< std::string > &jointNames, Configuration_t referenceConfig)
JointPtr_t | rootJoint () const
Frame | rootFrame () const
size_type | nbJoints () const
JointPtr_t | jointAt (const size_type &i) const
JointPtr_t | getJointAtConfigRank (const size_type &r) const
JointPtr_t | getJointAtVelocityRank (const size_type &r) const
JointPtr_t | getJointByName (const std::string &name) const
JointPtr_t | getJointByBodyName (const std::string &name) const
Frame | getFrameByName (const std::string &name) const
size_type | configSize () const
size_type | numberDof () const
const LiegroupSpacePtr_t & | configSpace () const
const LiegroupSpacePtr_t & | RnxSOnConfigSpace () const
Configuration_t | neutralConfiguration () const
void | addJointConstraint (JointLinearConstraint constraint)
const std::vector< JointLinearConstraint > & | jointConstraints () const
ExtraConfigSpace & | extraConfigSpace ()
const ExtraConfigSpace & | extraConfigSpace () const
virtual void | setDimensionExtraConfigSpace (const size_type &dimension)
void | addGripper (const GripperPtr_t &gripper)
Grippers_t & | grippers ()
const Grippers_t & | grippers () const
BodyPtr_t | obstacles () const
size_type | nbObjects () const
CollisionObjectPtr_t | objectAt (const size_type &i) const
bool | collisionTest (const bool stopAtFirstCollision=true)
void | computeDistances ()
const DistanceResults_t & | distanceResults () const
void | numberDeviceData (const size_type &s)
size_type | numberDeviceData () const
Public Member Functions inherited from hpp::pinocchio::AbstractDevice
ModelConstPtr_t | modelPtr () const
ModelPtr_t | modelPtr ()
const Model & | model () const
Model & | model ()
GeomModelConstPtr_t | geomModelPtr () const
GeomModelPtr_t | geomModelPtr ()
const GeomModel & | geomModel () const
GeomModel & | geomModel ()
GeomModelConstPtr_t | visualModelPtr () const
GeomModelPtr_t | visualModelPtr ()
const GeomModel & | visualModel () const
GeomModel & | visualModel ()
DataConstPtr_t | dataPtr () const
DataPtr_t | dataPtr ()
const Data & | data () const
Data & | data ()
GeomDataConstPtr_t | geomDataPtr () const
GeomDataPtr_t | geomDataPtr ()
const GeomData & | geomData () const
GeomData & | geomData ()
const Configuration_t & | currentConfiguration () const
virtual bool | currentConfiguration (ConfigurationIn_t configuration)
const vector_t & | currentVelocity () const
bool | currentVelocity (vectorIn_t velocity)
const vector_t & | currentAcceleration () const
bool | currentAcceleration (vectorIn_t acceleration)
const value_type & | mass () const
const vector3_t & | positionCenterOfMass () const
const ComJacobian_t & | jacobianCenterOfMass () const
HPP_PINOCCHIO_DEPRECATED void | controlComputation (const Computation_t &)
HPP_PINOCCHIO_DEPRECATED Computation_t | computationFlag () const
void | computeForwardKinematics ()
void | computeForwardKinematics (int flag)
void | computeFramesForwardKinematics ()
void | updateGeometryPlacements ()
ModelConstPtr_t | modelPtr () const
ModelPtr_t | modelPtr ()
const Model & | model () const
Model & | model ()
GeomModelConstPtr_t | geomModelPtr () const
GeomModelPtr_t | geomModelPtr ()
const GeomModel & | geomModel () const
GeomModel & | geomModel ()
GeomModelConstPtr_t | visualModelPtr () const
GeomModelPtr_t | visualModelPtr ()
const GeomModel & | visualModel () const
GeomModel & | visualModel ()
DataConstPtr_t | dataPtr () const
DataPtr_t | dataPtr ()
const Data & | data () const
Data & | data ()
GeomDataConstPtr_t | geomDataPtr () const
GeomDataPtr_t | geomDataPtr ()
const GeomData & | geomData () const
GeomData & | geomData ()
const Configuration_t & | currentConfiguration () const
virtual bool | currentConfiguration (ConfigurationIn_t configuration)
const vector_t & | currentVelocity () const
bool | currentVelocity (vectorIn_t velocity)
const vector_t & | currentAcceleration () const
bool | currentAcceleration (vectorIn_t acceleration)
const value_type & | mass () const
const vector3_t & | positionCenterOfMass () const
const ComJacobian_t & | jacobianCenterOfMass () const
HPP_PINOCCHIO_DEPRECATED void | controlComputation (const Computation_t &)
HPP_PINOCCHIO_DEPRECATED Computation_t | computationFlag () const
void | computeForwardKinematics ()
void | computeForwardKinematics (int flag)
void | computeFramesForwardKinematics ()
void | updateGeometryPlacements ()

## Public Attributes
std::vector< modelsInfo > | models_info_

## Additional Inherited Members
Public Types inherited from hpp::pinocchio::Device
typedef std::pair< JointPtr_t, JointPtr_t > | CollisionPair_t
typedef std::list< CollisionPair_t > | CollisionPairs_t
Static Public Member Functions inherited from hpp::pinocchio::Device
static DevicePtr_t | create (const std::string &name)
static DevicePtr_t | createCopy (const DevicePtr_t &device)
static DevicePtr_t | createCopyConst (const DeviceConstPtr_t &device)
Protected Member Functions inherited from hpp::pinocchio::Device
| Device (const std::string &name)
void | init (const DeviceWkPtr_t &weakPtr)
void | initCopy (const DeviceWkPtr_t &weakPtr, const Device &other)
| Device (const Device &device)
DeviceData & | d ()
DeviceData const & | d () const
void | invalidate ()
| Device ()
Protected Member Functions inherited from hpp::pinocchio::AbstractDevice
| AbstractDevice ()
| AbstractDevice (const ModelPtr_t &m, const GeomModelPtr_t &gm, const GeomModelPtr_t &vm)
Protected Attributes inherited from hpp::pinocchio::Device
DeviceData | d_
std::string | name_
Grippers_t | grippers_
LiegroupSpacePtr_t | configSpace_
LiegroupSpacePtr_t | configSpaceRnxSOn_
ExtraConfigSpace | extraConfigSpace_
std::vector< JointLinearConstraint > | jointConstraints_
DeviceWkPtr_t | weakPtr_
Protected Attributes inherited from hpp::pinocchio::AbstractDevice
ModelPtr_t | model_
GeomModelPtr_t | geomModel_
GeomModelPtr_t | visualModel_

## Constructor & Destructor Documentation

## ◆ Device()

pyhpp::manipulation::Device::Device | ( | const std::string & | name | ) |

## Member Function Documentation

## ◆ addGripper()

void pyhpp::manipulation::Device::addGripper | ( | const std::string & | linkName,
|  | const std::string & | gripperName,
|  | const Transform3s & | pose,
|  | value_type | clearance )

## ◆ addHandle()

void pyhpp::manipulation::Device::addHandle | ( | const std::string & | linkName,
|  | const std::string & | handleName,
|  | const Transform3s & | pose,
|  | value_type | clearance,
|  | const std::vector< bool > & | mask )

## ◆ contactSurfaceNames()

boost::python::list pyhpp::manipulation::Device::contactSurfaceNames | ( |  | ) |

## ◆ contactSurfaces()

boost::python::dict pyhpp::manipulation::Device::contactSurfaces | ( |  | ) |

## ◆ getJointConfig()

boost::python::list pyhpp::manipulation::Device::getJointConfig | ( | const char * | jointName | ) |

## ◆ getJointNames()

boost::python::list pyhpp::manipulation::Device::getJointNames | ( |  | ) |

## ◆ getModelsInfo()

std::vector< modelsInfo > & pyhpp::manipulation::Device::getModelsInfo | ( |  | ) |
| inline

## ◆ grippers()

std::map< std::string, GripperPtr_t > pyhpp::manipulation::Device::grippers | ( |  | ) |

## ◆ handles()

std::map< std::string, HandlePtr_t > pyhpp::manipulation::Device::handles | ( |  | ) |

## ◆ setJointBounds()

void pyhpp::manipulation::Device::setJointBounds | ( | const char * | jointName,
|  | boost::python::list | jointBounds )

## ◆ setRobotRootPosition()

void pyhpp::manipulation::Device::setRobotRootPosition | ( | const std::string & | robotName,
|  | const Transform3s & | positionWRTParentJoint )

## Member Data Documentation

## ◆ models_info_

std::vector<modelsInfo> pyhpp::manipulation::Device::models_info_

The documentation for this struct was generated from the following files:

- src/pyhpp/manipulation/device.hh
- src/pyhpp/manipulation/device.cc